# Uses of Class
org.eclipse.birt.chart.model.data.ScriptExpression

Packages that use ScriptExpression
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of ScriptExpression in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return ScriptExpression
Modifier and Type
Method
Description
`ScriptExpression`
ScriptValue.`getScriptExpression()`
Methods in org.eclipse.birt.chart.model.attribute with parameters of type ScriptExpression
Modifier and Type
Method
Description
`void`
ScriptValue.`setScriptExpression(ScriptExpression expression)`

## Uses of ScriptExpression in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return ScriptExpression
Modifier and Type
Method
Description
`ScriptExpression`
ScriptValueImpl.`getScriptExpression()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type ScriptExpression
Modifier and Type
Method
Description
`void`
ScriptValueImpl.`setScriptExpression(ScriptExpression expression)`

## Uses of ScriptExpression in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return ScriptExpression
Modifier and Type
Method
Description
`ScriptExpression`
Query.`getDefinitionExpression()`
Methods in org.eclipse.birt.chart.model.data with parameters of type ScriptExpression
Modifier and Type
Method
Description
`void`
Query.`setDefinitionExpression(ScriptExpression expression)`

## Uses of ScriptExpression in org.eclipse.birt.chart.model.data.impl

Methods in org.eclipse.birt.chart.model.data.impl that return ScriptExpression
Modifier and Type
Method
Description
`ScriptExpression`
QueryImpl.`getDefinitionExpression()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type ScriptExpression
Modifier and Type
Method
Description
`void`
QueryImpl.`setDefinitionExpression(ScriptExpression expression)`